public static interface Olingo4EndpointBuilderFactory.Olingo4Builders
| Modifier and Type | Method and Description |
|---|---|
default Olingo4EndpointBuilderFactory.Olingo4EndpointBuilder |
olingo4(String path)
Olingo4 (camel-olingo4)
Communicate with OData 4.0 services using Apache Olingo OData API.
|
default Olingo4EndpointBuilderFactory.Olingo4EndpointBuilder |
olingo4(String componentName,
String path)
Olingo4 (camel-olingo4)
Communicate with OData 4.0 services using Apache Olingo OData API.
|
default Olingo4EndpointBuilderFactory.Olingo4EndpointBuilder olingo4(String path)
olingo4:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 1 enums and the value can be one of: DEFAULT
Path parameter: methodName (required)
What sub operation to use for the selected operationpath - apiName/methodNamedefault Olingo4EndpointBuilderFactory.Olingo4EndpointBuilder olingo4(String componentName, String path)
olingo4:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 1 enums and the value can be one of: DEFAULT
Path parameter: methodName (required)
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel